Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.transaction.config
Class JtaTransactionManagerBeanDefinitionParser

    java.lang.Object
      org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
          org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
              org.springframework.transaction.config.JtaTransactionManagerBeanDefinitionParser

All Implemented Interfaces:
  BeanDefinitionParser

    public class JtaTransactionManagerBeanDefinitionParser

extends AbstractSingleBeanDefinitionParser

Parser for the <tx:jta-transaction-manager/> element, autodetecting BEA WebLogic, IBM WebSphere and Oracle OC4J.

Since:
  2.5
Author:
  Juergen Hoeller

Field Summary
`static String` | `DEFAULT_TRANSACTION_MANAGER_BEAN_NAME`

Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`ID_ATTRIBUTE`

Constructor Summary
`JtaTransactionManagerBeanDefinitionParser()`

Method Summary
`protected Class` | `getBeanClass(Element element)` Determine the bean class corresponding to the supplied `Element`.
`protected String` | `resolveId(Element element, AbstractBeanDefinition definition, ParserContext parserContext)` Resolve the ID for the supplied `BeanDefinition`.

Methods inherited from class org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
`doParse, doParse, getBeanClassName, getParentName, parseInternal`

Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`parse, postProcessComponentDefinition, registerBeanDefinition, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_TRANSACTION_MANAGER_BEAN_NAME

    public static final String DEFAULT_TRANSACTION_MANAGER_BEAN_NAME

See Also:
  Constant Field Values

Constructor Detail

### JtaTransactionManagerBeanDefinitionParser

    public JtaTransactionManagerBeanDefinitionParser()

Method Detail

### getBeanClass

    protected Class getBeanClass(Element element)

  Description copied from class: `AbstractSingleBeanDefinitionParser`
  Determine the bean class corresponding to the supplied `Element`.

  Note that, for application classes, it is generally preferable to override `AbstractSingleBeanDefinitionParser.getBeanClassName(org.w3c.dom.Element)` instead, in order to avoid a direct dependence on the bean implementation class. The BeanDefinitionParser and its NamespaceHandler can be used within an IDE plugin then, even if the application classes are not available on the plugin's classpath.

  Overrides:
    `getBeanClass` in class `AbstractSingleBeanDefinitionParser`
  Parameters:
    `element` - the `Element` that is being parsed
  Returns:
    the `Class` of the bean that is being defined via parsing the supplied `Element`, or `null` if none
  See Also:
    `AbstractSingleBeanDefinitionParser.getBeanClassName(org.w3c.dom.Element)`

### resolveId

    protected String resolveId(Element element,
                               AbstractBeanDefinition definition,
                               ParserContext parserContext)

  Description copied from class: `AbstractBeanDefinitionParser`
  Resolve the ID for the supplied `BeanDefinition`.

  When using `generation`, a name is generated automatically. Otherwise, the ID is extracted from the "id" attribute, potentially with a `fallback` to a generated id.

  Overrides:
    `resolveId` in class `AbstractBeanDefinitionParser`
  Parameters:
    `element` - the element that the bean definition has been built from
    `definition` - the bean definition to be registered
    `parserContext` - the object encapsulating the current state of the parsing process; provides access to a `BeanDefinitionRegistry`
  Returns:
    the resolved id

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2007 The Spring Framework.